# Generated by CMake

if("${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION}" LESS 2.5)
   message(FATAL_ERROR "CMake >= 2.6.0 required")
endif()
cmake_policy(PUSH)
cmake_policy(VERSION 2.6...3.17)
#----------------------------------------------------------------
# Generated CMake target import file.
#----------------------------------------------------------------

# Commands may need to know the format version.
set(CMAKE_IMPORT_FILE_VERSION 1)

# Protect against multiple inclusion, which would fail when already imported targets are added once more.
set(_targetsDefined)
set(_targetsNotDefined)
set(_expectedTargets)
foreach(_expectedTarget QtCreator::Qt6Core5Compat QtCreator::OptionalSvg QtCreator::app_version QtCreator::3rd_cplusplus QtCreator::KSyntaxHighlighting QtCreator::AdvancedDockingSystem QtCreator::Aggregation QtCreator::ExtensionSystem QtCreator::Utils QtCreator::LanguageUtils QtCreator::CPlusPlus QtCreator::Modeling QtCreator::QmlJS QtCreator::QmlDebug QtCreator::QmlEditorWidgets QtCreator::GLSL QtCreator::LanguageServerProtocol QtCreator::QtcSsh QtCreator::Sqlite QtCreator::ClangSupport QtCreator::Tracing QtCreator::designerintegrationv2 QtCreator::ProParser QtCreator::shared_help QtCreator::Core QtCreator::TextEditor QtCreator::SerialTerminal QtCreator::HelloWorld QtCreator::ImageViewer QtCreator::Marketplace QtCreator::UpdateInfo QtCreator::Welcome QtCreator::BinEditor QtCreator::CodePaster QtCreator::DiffEditor QtCreator::EmacsKeys QtCreator::Macros QtCreator::ProjectExplorer QtCreator::SilverSearcher QtCreator::Bookmarks QtCreator::CppTools QtCreator::Help QtCreator::qlitehtml QtCreator::ResourceEditor QtCreator::TaskList QtCreator::Nim QtCreator::Conan QtCreator::ClassView QtCreator::CppEditor QtCreator::GLSLEditor QtCreator::ModelEditor QtCreator::QtSupport QtCreator::Todo QtCreator::VcsBase QtCreator::Bazaar QtCreator::Beautifier QtCreator::ClangFormat QtCreator::ClearCase QtCreator::CVS QtCreator::Designer QtCreator::FakeVim QtCreator::GenericProjectManager QtCreator::Git QtCreator::Mercurial QtCreator::MesonProjectManager QtCreator::Perforce QtCreator::QmakeProjectManager QtCreator::QmlJSTools QtCreator::QmlProjectManager QtCreator::ScxmlEditor QtCreator::Subversion QtCreator::CompilationDatabaseProjectManager QtCreator::LanguageClient QtCreator::StudioWelcome QtCreator::CMakeProjectManager QtCreator::Debugger QtCreator::Android QtCreator::AutoTest QtCreator::AutotoolsProjectManager QtCreator::BareMetal QtCreator::ClangCodeModel QtCreator::yaml-cpp QtCreator::ClangTools QtCreator::Cppcheck QtCreator::IncrediBuild QtCreator::Ios QtCreator::Python QtCreator::QmlJSEditor QtCreator::QmlPreview QtCreator::QmlProfiler QtCreator::RemoteLinux QtCreator::Valgrind QtCreator::WinRt QtCreator::PerfProfiler QtCreator::QbsProjectManager QtCreator::CtfVisualizer QtCreator::Boot2Qt QtCreator::QmlDesigner QtCreator::assetexporterplugin QtCreator::componentsplugin QtCreator::qmlpreviewplugin QtCreator::qtquickplugin QtCreator::Qnx QtCreator::WebAssembly QtCreator::McuSupport QtCreator::clangbackend_lib QtCreator::qml2puppet_static QtCreator::perfparser_lib)
  list(APPEND _expectedTargets ${_expectedTarget})
  if(NOT TARGET ${_expectedTarget})
    list(APPEND _targetsNotDefined ${_expectedTarget})
  endif()
  if(TARGET ${_expectedTarget})
    list(APPEND _targetsDefined ${_expectedTarget})
  endif()
endforeach()
if("${_targetsDefined}" STREQUAL "${_expectedTargets}")
  unset(_targetsDefined)
  unset(_targetsNotDefined)
  unset(_expectedTargets)
  set(CMAKE_IMPORT_FILE_VERSION)
  cmake_policy(POP)
  return()
endif()
if(NOT "${_targetsDefined}" STREQUAL "")
  message(FATAL_ERROR "Some (but not all) targets in this export set were already defined.\nTargets Defined: ${_targetsDefined}\nTargets not yet defined: ${_targetsNotDefined}\n")
endif()
unset(_targetsDefined)
unset(_targetsNotDefined)
unset(_expectedTargets)


# Compute the installation prefix relative to this file.
get_filename_component(_IMPORT_PREFIX "${CMAKE_CURRENT_LIST_FILE}" PATH)
get_filename_component(_IMPORT_PREFIX "${_IMPORT_PREFIX}" PATH)
get_filename_component(_IMPORT_PREFIX "${_IMPORT_PREFIX}" PATH)
get_filename_component(_IMPORT_PREFIX "${_IMPORT_PREFIX}" PATH)
if(_IMPORT_PREFIX STREQUAL "/")
  set(_IMPORT_PREFIX "")
endif()

# Create imported target QtCreator::Qt6Core5Compat
add_library(QtCreator::Qt6Core5Compat INTERFACE IMPORTED)

# Create imported target QtCreator::OptionalSvg
add_library(QtCreator::OptionalSvg INTERFACE IMPORTED)

set_target_properties(QtCreator::OptionalSvg PROPERTIES
  INTERFACE_LINK_LIBRARIES "Qt5::Svg"
)

# Create imported target QtCreator::app_version
add_library(QtCreator::app_version INTERFACE IMPORTED)

set_target_properties(QtCreator::app_version PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/src"
)

# Create imported target QtCreator::3rd_cplusplus
add_library(QtCreator::3rd_cplusplus OBJECT IMPORTED)

set_target_properties(QtCreator::3rd_cplusplus PROPERTIES
  INTERFACE_COMPILE_DEFINITIONS "\$<TARGET_PROPERTY:Qt5::Core,INTERFACE_COMPILE_DEFINITIONS>;\$<TARGET_PROPERTY:QtCreator::Utils,INTERFACE_COMPILE_DEFINITIONS>"
  INTERFACE_INCLUDE_DIRECTORIES "\$<TARGET_PROPERTY:Qt5::Core,INTERFACE_INCLUDE_DIRECTORIES>;\$<TARGET_PROPERTY:QtCreator::Utils,INTERFACE_INCLUDE_DIRECTORIES>;${_IMPORT_PREFIX}/include/src/libs/3rdparty"
)

# Create imported target QtCreator::KSyntaxHighlighting
add_library(QtCreator::KSyntaxHighlighting SHARED IMPORTED)

set_target_properties(QtCreator::KSyntaxHighlighting PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/src/libs/3rdparty/syntax-highlighting/src/lib;${_IMPORT_PREFIX}/include/src/libs/3rdparty/syntax-highlighting/autogenerated/src/lib;${_IMPORT_PREFIX}/include/src/libs/3rdparty"
)

# Create imported target QtCreator::AdvancedDockingSystem
add_library(QtCreator::AdvancedDockingSystem SHARED IMPORTED)

set_target_properties(QtCreator::AdvancedDockingSystem PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/src/libs"
)

# Create imported target QtCreator::Aggregation
add_library(QtCreator::Aggregation SHARED IMPORTED)

set_target_properties(QtCreator::Aggregation PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/src/libs"
)

# Create imported target QtCreator::ExtensionSystem
add_library(QtCreator::ExtensionSystem SHARED IMPORTED)

set_target_properties(QtCreator::ExtensionSystem PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/src/libs"
  INTERFACE_LINK_LIBRARIES "Qt5::Core;Qt5::Widgets"
)

# Create imported target QtCreator::Utils
add_library(QtCreator::Utils SHARED IMPORTED)

set_target_properties(QtCreator::Utils PROPERTIES
  INTERFACE_COMPILE_DEFINITIONS "_CRT_SECURE_NO_WARNINGS;_SCL_SECURE_NO_WARNINGS"
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/src/libs"
  INTERFACE_LINK_LIBRARIES "Qt5::Concurrent;Qt5::Core;Qt5::Network;Qt5::Gui;Qt5::Widgets;QtCreator::Qt6Core5Compat"
)

# Create imported target QtCreator::LanguageUtils
add_library(QtCreator::LanguageUtils SHARED IMPORTED)

set_target_properties(QtCreator::LanguageUtils PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/src/libs"
  INTERFACE_LINK_LIBRARIES "Qt5::Core"
)

# Create imported target QtCreator::CPlusPlus
add_library(QtCreator::CPlusPlus SHARED IMPORTED)

set_target_properties(QtCreator::CPlusPlus PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/src/libs"
  INTERFACE_LINK_LIBRARIES "QtCreator::3rd_cplusplus;Qt5::Gui"
)

# Create imported target QtCreator::Modeling
add_library(QtCreator::Modeling SHARED IMPORTED)

set_target_properties(QtCreator::Modeling PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/src/libs/modelinglib;${_IMPORT_PREFIX}/include/src/libs"
  INTERFACE_LINK_LIBRARIES "QtCreator::OptionalSvg"
)

# Create imported target QtCreator::QmlJS
add_library(QtCreator::QmlJS SHARED IMPORTED)

set_target_properties(QtCreator::QmlJS PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/src/libs"
  INTERFACE_LINK_LIBRARIES "QtCreator::CPlusPlus;Qt5::Widgets;QtCreator::LanguageUtils"
)

# Create imported target QtCreator::QmlDebug
add_library(QtCreator::QmlDebug SHARED IMPORTED)

set_target_properties(QtCreator::QmlDebug PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/src/libs"
)

# Create imported target QtCreator::QmlEditorWidgets
add_library(QtCreator::QmlEditorWidgets SHARED IMPORTED)

set_target_properties(QtCreator::QmlEditorWidgets PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/src/libs"
)

# Create imported target QtCreator::GLSL
add_library(QtCreator::GLSL SHARED IMPORTED)

set_target_properties(QtCreator::GLSL PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/src/libs"
)

# Create imported target QtCreator::LanguageServerProtocol
add_library(QtCreator::LanguageServerProtocol SHARED IMPORTED)

set_target_properties(QtCreator::LanguageServerProtocol PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/src/libs"
)

# Create imported target QtCreator::QtcSsh
add_library(QtCreator::QtcSsh SHARED IMPORTED)

set_target_properties(QtCreator::QtcSsh PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/src/libs"
)

# Create imported target QtCreator::Sqlite
add_library(QtCreator::Sqlite SHARED IMPORTED)

set_target_properties(QtCreator::Sqlite PROPERTIES
  INTERFACE_COMPILE_DEFINITIONS "BUILD_SQLITE_LIBRARY;SQLITE_THREADSAFE=2;SQLITE_ENABLE_FTS5;SQLITE_ENABLE_UNLOCK_NOTIFY;SQLITE_ENABLE_JSON1;SQLITE_DEFAULT_FOREIGN_KEYS=1;SQLITE_TEMP_STORE=2;SQLITE_DEFAULT_WAL_SYNCHRONOUS=1;SQLITE_MAX_WORKER_THREADS;SQLITE_DEFAULT_MEMSTATUS=0;SQLITE_OMIT_DEPRECATED;SQLITE_OMIT_DECLTYPE;SQLITE_MAX_EXPR_DEPTH=0;SQLITE_OMIT_SHARED_CACHE;SQLITE_USE_ALLOCA;SQLITE_ENABLE_MEMORY_MANAGEMENT;SQLITE_ENABLE_NULL_TRIM;SQLITE_OMIT_EXPLAIN;SQLITE_OMIT_LOAD_EXTENSION;SQLITE_OMIT_UTF16;SQLITE_DQS=0;SQLITE_ENABLE_STAT4;HAVE_ISNAN;HAVE_FDATASYNC;HAVE_MALLOC_USABLE_SIZE;SQLITE_DEFAULT_MMAP_SIZE=268435456;SQLITE_CORE;SQLITE_ENABLE_SESSION;SQLITE_ENABLE_PREUPDATE_HOOK;SQLITE_LIKE_DOESNT_MATCH_BLOBS"
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/src/libs/sqlite;${_IMPORT_PREFIX}/include/src/libs/3rdparty/sqlite;${_IMPORT_PREFIX}/include/src/libs"
)

# Create imported target QtCreator::ClangSupport
add_library(QtCreator::ClangSupport SHARED IMPORTED)

set_target_properties(QtCreator::ClangSupport PROPERTIES
  INTERFACE_COMPILE_DEFINITIONS "CLANG_VERSION=\"11.0.0\";CLANG_INCLUDE_DIR=\"C:/Users/qt/work/build/downloads/libclang/libclang/lib/clang/11.0.0/include\";CLANG_BINDIR=\"C:/Users/qt/work/build/downloads/libclang/libclang/bin\""
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/src/libs/clangsupport;${_IMPORT_PREFIX}/include/src/libs"
  INTERFACE_LINK_LIBRARIES "QtCreator::Utils;QtCreator::Sqlite;Qt5::Core;Qt5::Network"
)

# Create imported target QtCreator::Tracing
add_library(QtCreator::Tracing SHARED IMPORTED)

set_target_properties(QtCreator::Tracing PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/src/libs"
  INTERFACE_LINK_LIBRARIES "Qt5::Widgets"
)

# Create imported target QtCreator::designerintegrationv2
add_library(QtCreator::designerintegrationv2 STATIC IMPORTED)

set_target_properties(QtCreator::designerintegrationv2 PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/src/shared/designerintegrationv2;${_IMPORT_PREFIX}/include/src/shared"
  INTERFACE_LINK_LIBRARIES "\$<LINK_ONLY:Qt5::Designer>;\$<LINK_ONLY:Qt5::Widgets>"
)

# Create imported target QtCreator::ProParser
add_library(QtCreator::ProParser SHARED IMPORTED)

set_target_properties(QtCreator::ProParser PROPERTIES
  INTERFACE_COMPILE_DEFINITIONS "QMAKE_BUILTIN_PRFS;QMAKE_OVERRIDE_PRFS;PROPARSER_THREAD_SAFE;PROEVALUATOR_CUMULATIVE;PROEVALUATOR_DUAL_VFS;PROEVALUATOR_SETENV;PROEVALUATOR_THREAD_SAFE"
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/src/shared"
)

# Create imported target QtCreator::shared_help
add_library(QtCreator::shared_help STATIC IMPORTED)

set_target_properties(QtCreator::shared_help PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/src/plugins/help;${_IMPORT_PREFIX}/include/src/plugins;${_IMPORT_PREFIX}/include/../qt-creator_build/build/src/shared/help/shared_help_autogen/include;${_IMPORT_PREFIX}/include/../qt-creator_build/build/src/shared/help;${_IMPORT_PREFIX}/include/src/shared/help;${_IMPORT_PREFIX}/include/src/shared"
  INTERFACE_LINK_LIBRARIES "\$<LINK_ONLY:QtCreator::Utils>;Qt5::Help;Qt5::PrintSupport;Qt5::Widgets"
)

# Create imported target QtCreator::Core
add_library(QtCreator::Core SHARED IMPORTED)

set_target_properties(QtCreator::Core PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/src/plugins"
  INTERFACE_LINK_LIBRARIES "QtCreator::Aggregation;QtCreator::ExtensionSystem;QtCreator::Utils;QtCreator::app_version"
)

# Create imported target QtCreator::TextEditor
add_library(QtCreator::TextEditor SHARED IMPORTED)

set_target_properties(QtCreator::TextEditor PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/src/plugins"
  INTERFACE_LINK_LIBRARIES "QtCreator::KSyntaxHighlighting"
)

# Create imported target QtCreator::SerialTerminal
add_library(QtCreator::SerialTerminal SHARED IMPORTED)

set_target_properties(QtCreator::SerialTerminal PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/src/plugins"
)

# Create imported target QtCreator::HelloWorld
add_library(QtCreator::HelloWorld SHARED IMPORTED)

set_target_properties(QtCreator::HelloWorld PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/src/plugins"
)

# Create imported target QtCreator::ImageViewer
add_library(QtCreator::ImageViewer SHARED IMPORTED)

set_target_properties(QtCreator::ImageViewer PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/src/plugins"
)

# Create imported target QtCreator::Marketplace
add_library(QtCreator::Marketplace SHARED IMPORTED)

set_target_properties(QtCreator::Marketplace PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/src/plugins"
)

# Create imported target QtCreator::UpdateInfo
add_library(QtCreator::UpdateInfo SHARED IMPORTED)

set_target_properties(QtCreator::UpdateInfo PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/src/plugins"
)

# Create imported target QtCreator::Welcome
add_library(QtCreator::Welcome SHARED IMPORTED)

set_target_properties(QtCreator::Welcome PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/src/plugins"
)

# Create imported target QtCreator::BinEditor
add_library(QtCreator::BinEditor SHARED IMPORTED)

set_target_properties(QtCreator::BinEditor PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/src/plugins"
)

# Create imported target QtCreator::CodePaster
add_library(QtCreator::CodePaster SHARED IMPORTED)

set_target_properties(QtCreator::CodePaster PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/src/plugins"
)

# Create imported target QtCreator::DiffEditor
add_library(QtCreator::DiffEditor SHARED IMPORTED)

set_target_properties(QtCreator::DiffEditor PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/src/plugins"
)

# Create imported target QtCreator::EmacsKeys
add_library(QtCreator::EmacsKeys SHARED IMPORTED)

set_target_properties(QtCreator::EmacsKeys PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/src/plugins"
)

# Create imported target QtCreator::Macros
add_library(QtCreator::Macros SHARED IMPORTED)

set_target_properties(QtCreator::Macros PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/src/plugins"
)

# Create imported target QtCreator::ProjectExplorer
add_library(QtCreator::ProjectExplorer SHARED IMPORTED)

set_target_properties(QtCreator::ProjectExplorer PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/src/plugins"
)

# Create imported target QtCreator::SilverSearcher
add_library(QtCreator::SilverSearcher SHARED IMPORTED)

set_target_properties(QtCreator::SilverSearcher PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/src/plugins"
)

# Create imported target QtCreator::Bookmarks
add_library(QtCreator::Bookmarks SHARED IMPORTED)

set_target_properties(QtCreator::Bookmarks PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/src/plugins"
)

# Create imported target QtCreator::CppTools
add_library(QtCreator::CppTools SHARED IMPORTED)

set_target_properties(QtCreator::CppTools PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/src/plugins"
  INTERFACE_LINK_LIBRARIES "QtCreator::CPlusPlus;Qt5::Widgets"
)

# Create imported target QtCreator::Help
add_library(QtCreator::Help SHARED IMPORTED)

set_target_properties(QtCreator::Help PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/src/plugins"
)

# Create imported target QtCreator::qlitehtml
add_library(QtCreator::qlitehtml SHARED IMPORTED)

set_target_properties(QtCreator::qlitehtml PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/src/plugins/help/qlitehtml;${_IMPORT_PREFIX}/include/src/plugins/help"
)

# Create imported target QtCreator::ResourceEditor
add_library(QtCreator::ResourceEditor SHARED IMPORTED)

set_target_properties(QtCreator::ResourceEditor PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/src/plugins"
)

# Create imported target QtCreator::TaskList
add_library(QtCreator::TaskList SHARED IMPORTED)

set_target_properties(QtCreator::TaskList PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/src/plugins"
)

# Create imported target QtCreator::Nim
add_library(QtCreator::Nim SHARED IMPORTED)

set_target_properties(QtCreator::Nim PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/src/plugins"
)

# Create imported target QtCreator::Conan
add_library(QtCreator::Conan SHARED IMPORTED)

set_target_properties(QtCreator::Conan PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/src/plugins"
)

# Create imported target QtCreator::ClassView
add_library(QtCreator::ClassView SHARED IMPORTED)

set_target_properties(QtCreator::ClassView PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/src/plugins"
)

# Create imported target QtCreator::CppEditor
add_library(QtCreator::CppEditor SHARED IMPORTED)

set_target_properties(QtCreator::CppEditor PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/src/plugins"
)

# Create imported target QtCreator::GLSLEditor
add_library(QtCreator::GLSLEditor SHARED IMPORTED)

set_target_properties(QtCreator::GLSLEditor PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/src/plugins"
)

# Create imported target QtCreator::ModelEditor
add_library(QtCreator::ModelEditor SHARED IMPORTED)

set_target_properties(QtCreator::ModelEditor PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/src/plugins"
)

# Create imported target QtCreator::QtSupport
add_library(QtCreator::QtSupport SHARED IMPORTED)

set_target_properties(QtCreator::QtSupport PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/src/plugins"
  INTERFACE_LINK_LIBRARIES "QtCreator::ProParser"
)

# Create imported target QtCreator::Todo
add_library(QtCreator::Todo SHARED IMPORTED)

set_target_properties(QtCreator::Todo PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/src/plugins"
)

# Create imported target QtCreator::VcsBase
add_library(QtCreator::VcsBase SHARED IMPORTED)

set_target_properties(QtCreator::VcsBase PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/src/plugins"
)

# Create imported target QtCreator::Bazaar
add_library(QtCreator::Bazaar SHARED IMPORTED)

set_target_properties(QtCreator::Bazaar PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/src/plugins"
)

# Create imported target QtCreator::Beautifier
add_library(QtCreator::Beautifier SHARED IMPORTED)

set_target_properties(QtCreator::Beautifier PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/src/plugins"
)

# Create imported target QtCreator::ClangFormat
add_library(QtCreator::ClangFormat SHARED IMPORTED)

set_target_properties(QtCreator::ClangFormat PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/src/plugins"
)

# Create imported target QtCreator::ClearCase
add_library(QtCreator::ClearCase SHARED IMPORTED)

set_target_properties(QtCreator::ClearCase PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/src/plugins"
)

# Create imported target QtCreator::CVS
add_library(QtCreator::CVS SHARED IMPORTED)

set_target_properties(QtCreator::CVS PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/src/plugins"
)

# Create imported target QtCreator::Designer
add_library(QtCreator::Designer SHARED IMPORTED)

set_target_properties(QtCreator::Designer PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/src/plugins"
)

# Create imported target QtCreator::FakeVim
add_library(QtCreator::FakeVim SHARED IMPORTED)

set_target_properties(QtCreator::FakeVim PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/src/plugins"
)

# Create imported target QtCreator::GenericProjectManager
add_library(QtCreator::GenericProjectManager SHARED IMPORTED)

set_target_properties(QtCreator::GenericProjectManager PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/src/plugins"
)

# Create imported target QtCreator::Git
add_library(QtCreator::Git SHARED IMPORTED)

set_target_properties(QtCreator::Git PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/src/plugins"
)

# Create imported target QtCreator::Mercurial
add_library(QtCreator::Mercurial SHARED IMPORTED)

set_target_properties(QtCreator::Mercurial PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/src/plugins"
)

# Create imported target QtCreator::MesonProjectManager
add_library(QtCreator::MesonProjectManager SHARED IMPORTED)

set_target_properties(QtCreator::MesonProjectManager PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/src/plugins"
)

# Create imported target QtCreator::Perforce
add_library(QtCreator::Perforce SHARED IMPORTED)

set_target_properties(QtCreator::Perforce PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/src/plugins"
)

# Create imported target QtCreator::QmakeProjectManager
add_library(QtCreator::QmakeProjectManager SHARED IMPORTED)

set_target_properties(QtCreator::QmakeProjectManager PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/src/plugins"
)

# Create imported target QtCreator::QmlJSTools
add_library(QtCreator::QmlJSTools SHARED IMPORTED)

set_target_properties(QtCreator::QmlJSTools PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/src/plugins"
  INTERFACE_LINK_LIBRARIES "QtCreator::QmlJS"
)

# Create imported target QtCreator::QmlProjectManager
add_library(QtCreator::QmlProjectManager SHARED IMPORTED)

set_target_properties(QtCreator::QmlProjectManager PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/src/plugins"
)

# Create imported target QtCreator::ScxmlEditor
add_library(QtCreator::ScxmlEditor SHARED IMPORTED)

set_target_properties(QtCreator::ScxmlEditor PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/src/plugins"
)

# Create imported target QtCreator::Subversion
add_library(QtCreator::Subversion SHARED IMPORTED)

set_target_properties(QtCreator::Subversion PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/src/plugins"
)

# Create imported target QtCreator::CompilationDatabaseProjectManager
add_library(QtCreator::CompilationDatabaseProjectManager SHARED IMPORTED)

set_target_properties(QtCreator::CompilationDatabaseProjectManager PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/src/plugins"
)

# Create imported target QtCreator::LanguageClient
add_library(QtCreator::LanguageClient SHARED IMPORTED)

set_target_properties(QtCreator::LanguageClient PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/src/plugins"
  INTERFACE_LINK_LIBRARIES "QtCreator::LanguageServerProtocol;Qt5::Core"
)

# Create imported target QtCreator::StudioWelcome
add_library(QtCreator::StudioWelcome SHARED IMPORTED)

set_target_properties(QtCreator::StudioWelcome PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/src/plugins"
)

# Create imported target QtCreator::CMakeProjectManager
add_library(QtCreator::CMakeProjectManager SHARED IMPORTED)

set_target_properties(QtCreator::CMakeProjectManager PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/src/plugins"
)

# Create imported target QtCreator::Debugger
add_library(QtCreator::Debugger SHARED IMPORTED)

set_target_properties(QtCreator::Debugger PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/src/plugins"
)

# Create imported target QtCreator::Android
add_library(QtCreator::Android SHARED IMPORTED)

set_target_properties(QtCreator::Android PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/src/plugins"
)

# Create imported target QtCreator::AutoTest
add_library(QtCreator::AutoTest SHARED IMPORTED)

set_target_properties(QtCreator::AutoTest PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/src/plugins"
)

# Create imported target QtCreator::AutotoolsProjectManager
add_library(QtCreator::AutotoolsProjectManager SHARED IMPORTED)

set_target_properties(QtCreator::AutotoolsProjectManager PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/src/plugins"
)

# Create imported target QtCreator::BareMetal
add_library(QtCreator::BareMetal SHARED IMPORTED)

set_target_properties(QtCreator::BareMetal PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/src/plugins"
)

# Create imported target QtCreator::ClangCodeModel
add_library(QtCreator::ClangCodeModel SHARED IMPORTED)

set_target_properties(QtCreator::ClangCodeModel PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/src/plugins"
)

# Create imported target QtCreator::yaml-cpp
add_library(QtCreator::yaml-cpp SHARED IMPORTED)

set_target_properties(QtCreator::yaml-cpp PROPERTIES
  INTERFACE_COMPILE_DEFINITIONS "YAML_CPP_DLL"
  INTERFACE_COMPILE_OPTIONS "/wd4251;/wd4275"
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/src/libs/3rdparty/yaml-cpp/include;${_IMPORT_PREFIX}/include/src/plugins"
)

# Create imported target QtCreator::ClangTools
add_library(QtCreator::ClangTools SHARED IMPORTED)

set_target_properties(QtCreator::ClangTools PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/src/plugins"
)

# Create imported target QtCreator::Cppcheck
add_library(QtCreator::Cppcheck SHARED IMPORTED)

set_target_properties(QtCreator::Cppcheck PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/src/plugins"
)

# Create imported target QtCreator::IncrediBuild
add_library(QtCreator::IncrediBuild SHARED IMPORTED)

set_target_properties(QtCreator::IncrediBuild PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/src/plugins"
)

# Create imported target QtCreator::Ios
add_library(QtCreator::Ios SHARED IMPORTED)

set_target_properties(QtCreator::Ios PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/src/plugins"
)

# Create imported target QtCreator::Python
add_library(QtCreator::Python SHARED IMPORTED)

set_target_properties(QtCreator::Python PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/src/plugins"
)

# Create imported target QtCreator::QmlJSEditor
add_library(QtCreator::QmlJSEditor SHARED IMPORTED)

set_target_properties(QtCreator::QmlJSEditor PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/src/plugins"
)

# Create imported target QtCreator::QmlPreview
add_library(QtCreator::QmlPreview SHARED IMPORTED)

set_target_properties(QtCreator::QmlPreview PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/src/plugins"
)

# Create imported target QtCreator::QmlProfiler
add_library(QtCreator::QmlProfiler SHARED IMPORTED)

set_target_properties(QtCreator::QmlProfiler PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/src/plugins"
)

# Create imported target QtCreator::RemoteLinux
add_library(QtCreator::RemoteLinux SHARED IMPORTED)

set_target_properties(QtCreator::RemoteLinux PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/src/plugins"
)

# Create imported target QtCreator::Valgrind
add_library(QtCreator::Valgrind SHARED IMPORTED)

set_target_properties(QtCreator::Valgrind PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/src/plugins"
)

# Create imported target QtCreator::WinRt
add_library(QtCreator::WinRt SHARED IMPORTED)

set_target_properties(QtCreator::WinRt PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/src/plugins"
)

# Create imported target QtCreator::PerfProfiler
add_library(QtCreator::PerfProfiler SHARED IMPORTED)

set_target_properties(QtCreator::PerfProfiler PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/src/plugins"
)

# Create imported target QtCreator::QbsProjectManager
add_library(QtCreator::QbsProjectManager SHARED IMPORTED)

set_target_properties(QtCreator::QbsProjectManager PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/src/plugins"
)

# Create imported target QtCreator::CtfVisualizer
add_library(QtCreator::CtfVisualizer SHARED IMPORTED)

set_target_properties(QtCreator::CtfVisualizer PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/src/plugins"
)

# Create imported target QtCreator::Boot2Qt
add_library(QtCreator::Boot2Qt SHARED IMPORTED)

set_target_properties(QtCreator::Boot2Qt PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/src/plugins"
)

# Create imported target QtCreator::QmlDesigner
add_library(QtCreator::QmlDesigner SHARED IMPORTED)

set_target_properties(QtCreator::QmlDesigner PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/src/plugins/qmldesigner;${_IMPORT_PREFIX}/include/src/plugins/qmldesigner/designercore/include;${_IMPORT_PREFIX}/include/src/plugins;${_IMPORT_PREFIX}/include/share/qtcreator/qml/qmlpuppet/interfaces;${_IMPORT_PREFIX}/include/share/qtcreator/qml/qmlpuppet/types;${_IMPORT_PREFIX}/include/src/plugins/qmldesigner/components/componentcore;${_IMPORT_PREFIX}/include/src/plugins/qmldesigner/components/formeditor;${_IMPORT_PREFIX}/include/src/plugins/qmldesigner/components/integration;${_IMPORT_PREFIX}/include/src/plugins/qmldesigner/designercore"
)

# Create imported target QtCreator::assetexporterplugin
add_library(QtCreator::assetexporterplugin SHARED IMPORTED)

set_target_properties(QtCreator::assetexporterplugin PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/src/plugins/qmldesigner/assetexporterplugin;${_IMPORT_PREFIX}/include/src/plugins"
)

# Create imported target QtCreator::componentsplugin
add_library(QtCreator::componentsplugin SHARED IMPORTED)

set_target_properties(QtCreator::componentsplugin PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/src/plugins"
)

# Create imported target QtCreator::qmlpreviewplugin
add_library(QtCreator::qmlpreviewplugin SHARED IMPORTED)

set_target_properties(QtCreator::qmlpreviewplugin PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/src/plugins"
)

# Create imported target QtCreator::qtquickplugin
add_library(QtCreator::qtquickplugin SHARED IMPORTED)

set_target_properties(QtCreator::qtquickplugin PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/src/plugins"
)

# Create imported target QtCreator::Qnx
add_library(QtCreator::Qnx SHARED IMPORTED)

set_target_properties(QtCreator::Qnx PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/src/plugins"
)

# Create imported target QtCreator::WebAssembly
add_library(QtCreator::WebAssembly SHARED IMPORTED)

set_target_properties(QtCreator::WebAssembly PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/src/plugins"
)

# Create imported target QtCreator::McuSupport
add_library(QtCreator::McuSupport SHARED IMPORTED)

set_target_properties(QtCreator::McuSupport PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/src/plugins"
)

# Create imported target QtCreator::clangbackend_lib
add_library(QtCreator::clangbackend_lib STATIC IMPORTED)

set_target_properties(QtCreator::clangbackend_lib PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/../downloads/libclang/libclang/include;${_IMPORT_PREFIX}/include/src/tools/clangbackend/source;${_IMPORT_PREFIX}/include/src/tools/clangbackend"
  INTERFACE_LINK_LIBRARIES "\$<LINK_ONLY:libclang>;Qt5::Widgets"
)

# Create imported target QtCreator::qml2puppet_static
add_library(QtCreator::qml2puppet_static STATIC IMPORTED)

set_target_properties(QtCreator::qml2puppet_static PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/share/qtcreator/qml/qmlpuppet/interfaces;${_IMPORT_PREFIX}/include/share/qtcreator/qml/qmlpuppet/types;${_IMPORT_PREFIX}/include/share/qtcreator/qml/qmlpuppet/container;${_IMPORT_PREFIX}/include/share/qtcreator/qml/qmlpuppet/commands"
  INTERFACE_LINK_LIBRARIES "\$<LINK_ONLY:Qt5::CorePrivate>;\$<LINK_ONLY:Qt5::Widgets>"
)

# Create imported target QtCreator::perfparser_lib
add_library(QtCreator::perfparser_lib STATIC IMPORTED)

set_target_properties(QtCreator::perfparser_lib PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/src/tools/perfparser/app;${_IMPORT_PREFIX}/include/src/tools/perfparser"
  INTERFACE_LINK_LIBRARIES "Qt5::Core;Qt5::Network;elfutils::dw;elfutils::elf"
)

if(CMAKE_VERSION VERSION_LESS 3.0.0)
  message(FATAL_ERROR "This file relies on consumers using CMake 3.0.0 or greater.")
endif()

# Load information for each installed configuration.
get_filename_component(_DIR "${CMAKE_CURRENT_LIST_FILE}" PATH)
file(GLOB CONFIG_FILES "${_DIR}/QtCreatorTargets-*.cmake")
foreach(f ${CONFIG_FILES})
  include(${f})
endforeach()

# Cleanup temporary variables.
set(_IMPORT_PREFIX)

# Loop over all imported files and verify that they actually exist
foreach(target ${_IMPORT_CHECK_TARGETS} )
  foreach(file ${_IMPORT_CHECK_FILES_FOR_${target}} )
    if(NOT EXISTS "${file}" )
      message(FATAL_ERROR "The imported target \"${target}\" references the file
   \"${file}\"
but this file does not exist.  Possible reasons include:
* The file was deleted, renamed, or moved to another location.
* An install or uninstall procedure did not complete successfully.
* The installation package was faulty and contained
   \"${CMAKE_CURRENT_LIST_FILE}\"
but not all the files it references.
")
    endif()
  endforeach()
  unset(_IMPORT_CHECK_FILES_FOR_${target})
endforeach()
unset(_IMPORT_CHECK_TARGETS)

# This file does not depend on other imported targets which have
# been exported from the same project but in a separate export set.

# Commands beyond this point should not need to know the version.
set(CMAKE_IMPORT_FILE_VERSION)
cmake_policy(POP)
